Bug 629435 - clamd.scan stops before MTA does
Summary: clamd.scan stops before MTA does
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-02 00:58 UTC by Jordan Russell
Modified: 2010-11-22 22:15 UTC (History)
5 users (show)

Fixed In Version: clamav-0.96.4-1300.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-19 00:08:30 UTC
Type: ---


Attachments (Terms of Use)

Description Jordan Russell 2010-09-02 00:58:12 UTC
Description of problem:
Fedora's MTAs (sendmail, postfix, exim...) use a stop priority of 30, while clamd.scan's stop priority is 25.
As 25 < 30, clamd.scan will stop *before* the MTA does during a shutdown, leaving a small window in which mail may come in without being scanned (depending on how clamdscan failures are handled).

Version-Release number of selected component (if applicable):
0.96.1-1300.fc13

Actual results:
  /etc/rc6.d contains:
  K25clamd.scan
  K30postfix

Expected results:
  K30postfix
  K35clamd.scan   (or some other priority > 30)

Comment 1 Fedora Update System 2010-11-07 11:20:07 UTC
clamav-0.96.4-1400.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/clamav-0.96.4-1400.fc14

Comment 2 Fedora Update System 2010-11-07 11:22:52 UTC
clamav-0.96.4-1300.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/clamav-0.96.4-1300.fc13

Comment 3 Fedora Update System 2010-11-07 21:28:08 UTC
clamav-0.96.4-1400.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clamav'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/clamav-0.96.4-1400.fc14

Comment 4 Fedora Update System 2010-11-19 00:08:20 UTC
clamav-0.96.4-1400.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2010-11-22 22:15:20 UTC
clamav-0.96.4-1300.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.